You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     da...@freebsd.org
Last committer: da...@freebsd.org
Ident:          $FreeBSD: head/archivers/unarchiver/Makefile 405480 2016-01-07 
19:01:34Z danfe $
Log URL:        
http://beefy1.nyi.freebsd.org/data/93i386-default/405601/logs/unar-1.9.1.log
Build URL:      
http://beefy1.nyi.freebsd.org/build.html?mastername=93i386-default&build=405601
Log:

====>> Building archivers/unarchiver
build started at Sat Jan  9 12:38:50 UTC 2016
port directory: /usr/ports/archivers/unarchiver
building for: FreeBSD 93i386-default-job-09 9.3-RELEASE-p32 FreeBSD 
9.3-RELEASE-p32 i386
maintained by: da...@freebsd.org
Makefile ident:      $FreeBSD: head/archivers/unarchiver/Makefile 405480 
2016-01-07 19:01:34Z danfe $
Poudriere version: 3.1.10
Host OSVERSION: 1100091
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=903000
UNAME_v=FreeBSD 9.3-RELEASE-p32
UNAME_r=9.3-RELEASE-p32
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=unar-1.9.1
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93i386-default/ref/.p/pool
MASTERNAME=93i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for unar-1.9.1:
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/archivers/unarchiver/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/archivers/unarchiver/work  
HOME=/wrkdirs/usr/ports/archivers/unarchiver/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/archivers/unarchiver/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/archivers/unarchiver/work  
HOME=/wrkdirs/usr/ports/archivers/unarchiver/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/unar"
EXAMPLESDIR="share/examples/unar"
DATADIR="share/unar"
WWWDIR="www/unar"
ETCDIR="etc/unar"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/unar
DOCSDIR=/usr/local/share/doc/unar
EXAMPLESDIR=/usr/local/share/examples/unar
WWWDIR=/usr/local/www/unar
ETCDIR=/usr/local/etc/unar
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License LGPL21 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   unar-1.9.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[93i386-default-job-09] Installing pkg-1.6.2...
[93i386-default-job-09] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   unar-1.9.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of unar-1.9.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License LGPL21 accepted by the user
=> unar1.9.1_src.zip doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch 
http://wakaba.c3.cx/releases/TheUnarchiver/unar1.9.1_src.zip
unar1.9.1_src.zip                                     2481 kB    0  Bps
===> Fetching all distfiles required by unar-1.9.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License LGPL21 accepted by the user
===> Fetching all distfiles required by unar-1.9.1 for building
=> SHA256 Checksum OK for unar1.9.1_src.zip.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License LGPL21 accepted by the user
===> Fetching all distfiles required by unar-1.9.1 for building
===>  Extracting for unar-1.9.1
=> SHA256 Checksum OK for unar1.9.1_src.zip.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for unar-1.9.1
===>  Applying FreeBSD patches for unar-1.9.1
===========================================================================
=======================<phase: build-depends  >============================
===>   unar-1.9.1 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[93i386-default-job-09] Installing gmake-4.1_2...
[93i386-default-job-09] `-- Installing indexinfo-0.2.4...
[93i386-default-job-09] `-- Extracting indexinfo-0.2.4: .... done
[93i386-default-job-09] `-- Installing libiconv-1.14_9...
[93i386-default-job-09] `-- Extracting libiconv-1.14_9: .......... done
[93i386-default-job-09] `-- Installing gettext-runtime-0.19.6...
[93i386-default-job-09] `-- Extracting gettext-runtime-0.19.6: .......... done
[93i386-default-job-09] Extracting gmake-4.1_2: .......... done
===>   unar-1.9.1 depends on executable: gmake - found
===>   Returning to build of unar-1.9.1
===========================================================================
=======================<phase: lib-depends    >============================
===>   unar-1.9.1 depends on shared library: libgnustep-base.so - not found
===>   Installing existing package /packages/All/gnustep-base-1.24.8.txz
[93i386-default-job-09] Installing gnustep-base-1.24.8...
[93i386-default-job-09] `-- Installing libxml2-2.9.3...
[93i386-default-job-09] `-- Extracting libxml2-2.9.3: .......... done
[93i386-default-job-09] `-- Installing avahi-app-0.6.31_5...
[93i386-default-job-09] |   `-- Installing expat-2.1.0_3...
[93i386-default-job-09] |   `-- Extracting expat-2.1.0_3: .......... done
[93i386-default-job-09] |   `-- Installing gnome_subr-1.0...
[93i386-default-job-09] |   `-- Extracting gnome_subr-1.0: . done
[93i386-default-job-09] |   `-- Installing gobject-introspection-1.44.0...
[93i386-default-job-09] |   | `-- Installing glib-2.44.1_2...
[93i386-default-job-09] |   |   `-- Installing python27-2.7.11_1...
[93i386-default-job-09] |   |   | `-- Installing libffi-3.2.1...
[93i386-default-job-09] |   |   | `-- Extracting libffi-3.2.1: .......... done
[93i386-default-job-09] |   |   `-- Extracting python27-2.7.11_1: .......... 
done
[93i386-default-job-09] |   |   `-- Installing pcre-8.37_4...
[93i386-default-job-09] |   |   `-- Extracting pcre-8.37_4: .......... done
[93i386-default-job-09] |   |   `-- Installing perl5-5.20.3_8...
[93i386-default-job-09] |   |   `-- Extracting perl5-5.20.3_8: .......... done
[93i386-default-job-09] |   | `-- Extracting glib-2.44.1_2: .......... done
No schema files found: doing nothing.
[93i386-default-job-09] |   | `-- Installing python2-2_3...
[93i386-default-job-09] |   | `-- Extracting python2-2_3: ...... done
[93i386-default-job-09] |   `-- Extracting gobject-introspection-1.44.0: 
.......... done
[93i386-default-job-09] |   `-- Installing gdbm-1.11_2...
[93i386-default-job-09] |   `-- Extracting gdbm-1.11_2: .......... done
[93i386-default-job-09] |   `-- Installing libdaemon-0.14_1...
[93i386-default-job-09] |   `-- Extracting libdaemon-0.14_1: .......... done
[93i386-default-job-09] |   `-- Installing dbus-glib-0.104...
[93i386-default-job-09] |   | `-- Installing dbus-1.8.20...
[93i386-default-job-09] |   |   `-- Installing libX11-1.6.3,1...
[93i386-default-job-09] |   |   | `-- Installing xproto-7.0.28...
[93i386-default-job-09] |   |   | `-- Extracting xproto-7.0.28: .......... done
[93i386-default-job-09] |   |   | `-- Installing kbproto-1.0.7...
[93i386-default-job-09] |   |   | `-- Extracting kbproto-1.0.7: .......... done
[93i386-default-job-09] |   |   | `-- Installing libXdmcp-1.1.2...
[93i386-default-job-09] |   |   | `-- Extracting libXdmcp-1.1.2: ......... done
[93i386-default-job-09] |   |   | `-- Installing libxcb-1.11.1...
[93i386-default-job-09] |   |   |   `-- Installing libpthread-stubs-0.3_6...
[93i386-default-job-09] |   |   |   `-- Extracting libpthread-stubs-0.3_6: 
..... done
[93i386-default-job-09] |   |   |   `-- Installing libXau-1.0.8_3...
[93i386-default-job-09] |   |   |   `-- Extracting libXau-1.0.8_3: .......... 
done
[93i386-default-job-09] |   |   | `-- Extracting libxcb-1.11.1: .......... done
[93i386-default-job-09] |   |   `-- Extracting libX11-1.6.3,1: .......... done
[93i386-default-job-09] |   |   `-- Installing libICE-1.0.9_1,1...
[93i386-default-job-09] |   |   `-- Extracting libICE-1.0.9_1,1: .......... done
[93i386-default-job-09] |   |   `-- Installing libSM-1.2.2_3,1...
[93i386-default-job-09] |   |   `-- Extracting libSM-1.2.2_3,1: .......... done
===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
[93i386-default-job-09] |   | `-- Extracting dbus-1.8.20: .......... done
[93i386-default-job-09] |   `-- Extracting dbus-glib-0.104: .......... done
===> Creating users and/or groups.
Creating group 'avahi' with gid '558'.
Creating user 'avahi' with uid '558'.
[93i386-default-job-09] `-- Extracting avahi-app-0.6.31_5: .......... done
[93i386-default-job-09] `-- Installing libobjc2-1.8.1...
[93i386-default-job-09] `-- Extracting libobjc2-1.8.1: .......... done
[93i386-default-job-09] `-- Installing libxslt-1.1.28_8...
[93i386-default-job-09] |   `-- Installing libgcrypt-1.6.4_3...
[93i386-default-job-09] |   | `-- Installing libgpg-error-1.20_1...
[93i386-default-job-09] |   | `-- Extracting libgpg-error-1.20_1: .......... 
done
[93i386-default-job-09] |   `-- Extracting libgcrypt-1.6.4_3: .......... done
[93i386-default-job-09] `-- Extracting libxslt-1.1.28_8: .......... done
[93i386-default-job-09] `-- Installing gmp-5.1.3_2...
[93i386-default-job-09] `-- Extracting gmp-5.1.3_2: .......... done
[93i386-default-job-09] `-- Installing icu-55.1...
[93i386-default-job-09] `-- Extracting icu-55.1: .......... done
[93i386-default-job-09] `-- Installing gnutls-3.3.17.1...
[93i386-default-job-09] |   `-- Installing nettle-2.7.1...
[93i386-default-job-09] |   `-- Extracting nettle-2.7.1: .......... done
[93i386-default-job-09] |   `-- Installing ca_root_nss-3.21...
[93i386-default-job-09] |   `-- Extracting ca_root_nss-3.21: ....... done
[93i386-default-job-09] |   `-- Installing libtasn1-4.7...
[93i386-default-job-09] |   `-- Extracting libtasn1-4.7: .......... done
[93i386-default-job-09] |   `-- Installing p11-kit-0.23.2...
[93i386-default-job-09] |   `-- Extracting p11-kit-0.23.2: .......... done
[93i386-default-job-09] |   `-- Installing libidn-1.31...
[93i386-default-job-09] |   `-- Extracting libidn-1.31: .......... done
[93i386-default-job-09] |   `-- Installing trousers-tddl-0.3.10_7...
===> Creating users and/or groups.
Creating group '_tss' with gid '601'.
Creating user '_tss' with uid '601'.
[93i386-default-job-09] |   `-- Extracting trousers-tddl-0.3.10_7: .......... 
done
[93i386-default-job-09] `-- Extracting gnutls-3.3.17.1: .......... done
[93i386-default-job-09] Extracting gnustep-base-1.24.8: .......... done
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from ca_root_nss-3.21:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
===>   unar-1.9.1 depends on shared library: libgnustep-base.so - found 
(/usr/local/GNUstep/System/Library/Libraries/libgnustep-base.so)
===>   Returning to build of unar-1.9.1
===>   unar-1.9.1 depends on shared library: libwavpack.so - not found
===>   Installing existing package /packages/All/wavpack-4.60.1_3.txz
[93i386-default-job-09] Installing wavpack-4.60.1_3...
[93i386-default-job-09] Extracting wavpack-4.60.1_3: .......... done
===>   unar-1.9.1 depends on shared library: libwavpack.so - found 
(/usr/local/lib/libwavpack.so)
===>   Returning to build of unar-1.9.1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for unar-1.9.1
===========================================================================
=======================<phase: build          >============================
===>  Building for unar-1.9.1
cc -std=gnu99 -O2 -pipe -fno-strict-aliasing -Wno-import -Wno-multichar 
-D_FILE_OFFSET_BITS=64 -isystem /usr/local/GNUstep/System/Library/Headers 
-I/usr/local/include -DGNUSTEP -DGNU_RUNTIME=1 -D_NATIVE_OBJC_EXCEPTIONS 
-fgnu-runtime -fexceptions -fobjc-exceptions 
-fconstant-string-class=NSConstantString  -MMD -MFBuild/XADTest2.d 
-MTBuild/XADTest2.o -c XADTest2.m -o Build/XADTest2.o
cc: XADTest2.m: Objective-C compiler not installed on this system
Makefile.freebsd:111: recipe for target 'Build/XADTest2.o' failed
gmake: *** [Build/XADTest2.o] Error 1
*** [do-build] Error code 1

Stop in /usr/ports/archivers/unarchiver.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to